Package com.xebialabs.xlrelease.api

# Interface ApiService

All Known Subinterfaces:
  `ActivityLogsApi`, `ApplicationApi`, `CategoryApi`, `ConfigurationApi`, `DeliveryApi`, `DeliveryPatternApi`, `DslApi`, `EnvironmentApi`, `EnvironmentLabelApi`, `EnvironmentReservationApi`, `EnvironmentStageApi`, `FacetApi`, `FolderApi`, `ManagedApplicationApi`, `PermissionsApi`, `PhaseApi`, `PlannerApi`, `ReleaseApi`, `ReleaseGroupApi`, `ReportApi`, `RiskApi`, `RolesApi`, `TaskApi`, `TaskReportingApi`, `TemplateApi`, `TriggersApi`, `UserApi`, `WorkflowApi`

public interface ApiService

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `DEFAULT_RESULTS_PER_PAGE`
  `static final String`
  `DEFAULT_RESULTS_PER_PAGE_STRING`
  `static final String`
  `DEPTH`
  `static final String`
  `ORDER_BY`
  `static final String`
  `PAGE`
  `static final String`
  `PAGE_IS_OFFSET`
  `static final String`
  `RESULTS_PER_PAGE`
  `static final String`
  `ROLE_IDS_DATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `serviceName()`

- ## Field Details

  - ### PAGE

    static final String PAGE
    See Also:
      - Constant Field Values

  - ### RESULTS_PER_PAGE

    static final String RESULTS_PER_PAGE
    See Also:
      - Constant Field Values

  - ### ORDER_BY

    static final String ORDER_BY
    See Also:
      - Constant Field Values

  - ### DEPTH

    static final String DEPTH
    See Also:
      - Constant Field Values

  - ### PAGE_IS_OFFSET

    static final String PAGE_IS_OFFSET
    See Also:
      - Constant Field Values

  - ### ROLE_IDS_DATA

    static final String ROLE_IDS_DATA
    See Also:
      - Constant Field Values

  - ### DEFAULT_RESULTS_PER_PAGE

    static final long DEFAULT_RESULTS_PER_PAGE
    See Also:
      - Constant Field Values

  - ### DEFAULT_RESULTS_PER_PAGE_STRING

    static final String DEFAULT_RESULTS_PER_PAGE_STRING
    See Also:
      - Constant Field Values

- ## Method Details

  - ### serviceName

    String serviceName()